Skip to main content
Drivers / Assets and Liabilities

Update liability for a driver

This method requires the DriverLiabilities:Update permission to be associated with your role.

PUT
/fm/driver/liabilities/{driver_liability_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
driver_liability_idstringrequired

Driver Liability Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

amountnumber

Amount

Example: 123456.78
driver_asset_idstring

Optional - defaults to NULL if not specified

Example: 4196296702502852222
finance_liability_financier_idstring

Optional or forced depending on fm_finance_liability_types configuration

Example: 4196195708503852222
finance_liability_type_idstring

Finance Liability Type Id

Example: 2196195708503852111
liability_end_datestring

Optional or forced depending on fm_finance_liability_types configuration

Example: 2022-05-01
liability_limit_amountnumber

Optional or forced depending on fm_finance_liability_types configuration

Example: 0
liability_payout_flagenum<string>

Optional or forced depending on fm_finance_liability_types configuration

Available options: no, yes
monthly_payment_amountnumber

Monthly Payment Amount

Example: 1234.56

Response

application/vnd.catch-e-api.v1+json

Liability updated successfully

amountnumber
driver_asset_idstring
driver_idstring
driver_liability_idstring
finance_liability_financier_idstring
finance_liability_financier_namestring
finance_liability_type_idstring
finance_liability_type_namestring
liability_end_datestring
liability_limit_amountnumber
liability_payout_flagstring
monthly_payment_amountnumber